> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paylora.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm user registration email

> Api for email confirmation



## OpenAPI

````yaml https://api.paylora.org/api-doc-json post /api/v1/auth/register/confirm
openapi: 3.0.0
info:
  title: PAYLORA API
  description: Paylora Backend API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.paylora.org
security: []
tags: []
paths:
  /api/v1/auth/register/confirm:
    post:
      tags:
        - Auth
      summary: Confirm user registration email
      description: Api for email confirmation
      operationId: AuthController_registerConfirm_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmRegistrationdDto'
      responses:
        '200':
          description: User`s email confirmed
          content:
            application/json:
              example:
                success: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 400
                  message:
                    - '[value] is not valid'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 401
                  message: Invalid signature | jwt must be provided
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 403
                  message: Only [admin, customer] has access
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 404
                  message: Resource Not Found
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 409
                  message: Resource with unique value (email, name etc) already exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 429
                  message: Too Many Requests
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  statusCode: 500
                  message: Sever error message
components:
  schemas:
    ConfirmRegistrationdDto:
      type: object
      properties:
        token:
          type: string
          example: vfdnsmfsns.dfnnslkdflsf;amfs.sdjfksldfsd
      required:
        - token

````